Bug 107364 - Applet crashes when clicked on
Applet crashes when clicked on
Product: Fedora
Classification: Fedora
Component: atk (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-10-17 10:38 EDT by Will Backman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-13 12:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Will Backman 2003-10-17 10:38:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
When the red circle is clicked on, it seg faults.
Same thing if started from the command line as rhn-applet-gui.
This happens is Assistive Technology Support is enabled

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enable Assistive Technology Support in Preferences
2. Click on rhn-applet
3. Watch crash screen

Actual Results:  Seg Fault

Expected Results:  RHN list of available updates

Additional info:

Crash goes away if I turn off assistive technology support and logout.
I don't have to pick a particular type of assistive tech.  Checking the main box
works.  I do have gnopernicus installed, but it does not need to be checked.
Comment 1 Daniel Veillard 2003-10-23 18:29:55 EDT
I reproduced the problem (enable assistive technology, restart desktop,
gdb /usr/bin/pythn and click on the icon when run under gdb):

(gdb) r /usr/bin/rhn-applet-gui
Starting program: /usr/bin/python /usr/bin/rhn-applet-gui
(no debugging symbols found)...(no debugging symbols found)...
(rhn-applet:4916): Gnome-WARNING **: Accessibility: failed to find module
'libgail-gnome' which is needed to make this application accessible
GTK Accessibility Module initialized
(rhn-applet:4916): Gnome-WARNING **: Accessibility: failed to find module
'libatk-bridge' which is needed to make this application accessible
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1084615360 (LWP 4916)]
0x01922794 in html_view_accessible_new () from /usr/lib/libgtkhtml-2.so.0
(gdb) where
#0  0x01922794 in html_view_accessible_new () from /usr/lib/libgtkhtml-2.so.0
#1  0x01922324 in html_view_accessible_new () from /usr/lib/libgtkhtml-2.so.0
#2  0x006e3293 in atk_object_initialize () from /usr/lib/libatk-1.0.so.0
#3  0x01922200 in html_view_accessible_new () from /usr/lib/libgtkhtml-2.so.0
#4  0x01922d86 in html_view_accessible_factory_get_type ()
   from /usr/lib/libgtkhtml-2.so.0
#5  0x006e3f86 in atk_object_factory_create_accessible ()
   from /usr/lib/libatk-1.0.so.0
#6  0x011865a5 in gtk_widget_get_accessible ()
   from /usr/lib/libgtk-x11-2.0.so.0
#7  0x01920777 in html_view_new () from /usr/lib/libgtkhtml-2.so.0
#8  0x01186519 in gtk_widget_get_accessible ()
   from /usr/lib/libgtk-x11-2.0.so.0
#9  0x01235d16 in gail_container_new ()
   from /usr/lib/gtk-2.0/modules/libgail.so
#10 0x01235c7d in gail_container_new ()
   from /usr/lib/gtk-2.0/modules/libgail.so
#11 0x0039cd4e in g_cclosure_marshal_VOID__OBJECT ()
   from /usr/lib/libgobject-2.0.so.0
#12 0x00389cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#13 0x0039bbbf in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#14 0x0039ac36 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0

  Seems this is crashing in gtkhtml2 or in the atk library, I don't
see from a high level python gtk standpoint how the rhn_applet actual
code may be at fault,

Comment 2 Daniel Veillard 2003-10-23 18:33:58 EDT
[00:34:15] <owen> DV: Maybe a missing Requires from gtkhtml
[00:34:33] <owen> Do you have libgail-gnome installed?

test:~ -> rpm -q libgail-gnome
package libgail-gnome is not installed
test:~ ->

[00:34:57] <DV> no apparently
Comment 3 Daniel Veillard 2003-10-23 18:35:47 EDT
Adding jrb, apparently he's the expert :-)

Comment 4 Jonathan Blandford 2003-10-23 19:08:17 EDT
can you let me know if the crash goes away if you install libgnome-gail?
Comment 5 Daniel Veillard 2003-10-24 06:56:39 EDT
Installed libgail-gnome and at-spi, now at startup the applet emits 
messages about initializing accessibility modules and support, but it
still crashes apparently in a reproductible fashion, an apparently
with a very similar gdb backtrace. 
Everything up2date w.r.t. rawhide today.


Comment 6 Matthias Clasen 2004-05-12 17:44:22 EDT
This works for me. Daniel, do you still see it ?

Note You need to log in before you can comment on or make changes to this bug.